package com.community.huiju.service;

import com.community.commom.mode.ResponseBean;
import com.community.huiju.model.*;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * 公共设备方法
 */
public interface IEquipmentService {

    /**
     * 推送人员
     * @param tpEquipmentTree
     * @param unitHkSetting
     * @param user
     * @param taUserHk
     * @return
     */
    String pushPerson(TpEquipmentTree tpEquipmentTree, TpUnitHkSetting unitHkSetting, TaUser user, TaUserHk taUserHk, Integer expirationTime);

    /**
     *
     * @param faceImg 文件流
     * @param unitHkSetting
     * @param tpEquipmentTree
     * @param taUserHk
     * @param userVerify
     * @param user
     * @param visualList
     * @param doorUuids 门禁点UUID
     * @param deviceUuids 门禁设备UUID
     * @return
     */
    String addFace(MultipartFile faceImg, TpUnitHkSetting unitHkSetting, TpEquipmentTree tpEquipmentTree,
                   TaUserHk taUserHk, TaUserVerify userVerify, TaUser user, List<String> visualList,
                   String doorUuids, String deviceUuids);


    /**
     *
     * @param faceImg 文件流
     * @param unitHkSetting
     * @param tpEquipmentTree
     * @param taUserHk
     * @param userVerify
     * @param user
     * @param visualList
     * @param deviceUuids 门禁设备UUID
     * @return
     */
    String updateFace(MultipartFile faceImg, TpUnitHkSetting unitHkSetting, TpEquipmentTree tpEquipmentTree,
                      TaUserHk taUserHk, TaUserVerify userVerify, TaUser user, List<String> visualList,
                      String deviceUuids);

    /**
     * 访客邀请
     * @param visitorName 姓名
     * @param phoneNo 手机号
     * @param personNum  人员数量
     * @param startTime 访问开始时间
     * @param endTime 访问结束时间
     * @param personId 人员海康ID
     * @param tpEquipmentTree
     * @return
     */
    String temporaryRegister(String visitorName, String phoneNo,Integer personNum,Long startTime,Long endTime,Integer personId, TpEquipmentTree tpEquipmentTree);

    /**
     * 异步反控开门
     *
     * @param longNums 设备UUID
     * @return
     */
    String syncControl(String longNums, String factory, TpEquipmentTree tpEquipmentTree);

}
